<body *ngIf="!Islogin" class="Onhead">


    <body>
        <header class="viewLogin">
            <p-button *ngIf="!Islogin" (click)="showLogin()" ><span class="material-icons">
                login
            </span>
</p-button>
            <p-dialog header="- เข้าสู่ระบบ -" icon="pi pi-user" [(visible)]="displayshowLogin" [modal]="true"
                [style]="{width: '16vw'}" [draggable]="false" [resizable]="false">
                <br>
                <br>
                <div class="container">
                    <span class="p-float-label">
                        <input id="float-input" type="text" pInputText [(ngModel)]="inputLoginEmail">
                        <label for="float-input">Email</label>
                    </span>
                    <br>
                    <br>
                    <span class="p-float-label" > 
                        <p-password [(ngModel)]="inputLoginPassword" [feedback]="false"></p-password>
                        <label for="float-input">Password</label>
                    </span>


                    <br>
                    <br>
                    <br>
                    <div class="login">
                        <p-button id="btnlogin" (onClick)="LoginEmailPassword()" label="เข้าสู่ระบบ"></p-button>
                    </div>
                </div>

            </p-dialog>
        </header>

        <body class="ShowPromotion">
            <div>
                <p-image src="https://cdn-icons-png.flaticon.com/512/230/230533.png" alt="Image" width="80"> </p-image>
            </div>

            <div class="text">
                <h1 style="font-size: 20px;">หอพัก สุขใจคนอยู่</h1>
                {{AddressHor}}
            </div>
            <br><br><br>


            <textarea class="text" readonly rows="5" cols="40" pInputTextarea>{{Showtop}}
            </textarea>



            <h5 style="font-size: 21px ;">Special Promotion </h5>
            <textarea class="text" readonly [(ngModel)]="Promotion" rows="5" cols="40" pInputTextarea></textarea>


            <div class="showroom">
                <p-button (click)="showRoomsuite()" label="ห้องแอร์"></p-button>
                <p-dialog header=" ห้องแอร์  ราคา {{TypeRoomprice[2]}} "[(visible)]="displayRoomsuite" [style]="{width: '50vw'}">
                    <p> {{Roomsuite}} 
                        <br>
                        <br>
                        <br>
                        <br>
                        <br>
                        เหลือว่าง :{{RoomSuiteList.length}}
                    </p>
                    <ng-template pTemplate="footer">
                        <p-button (click)="displayRoomsuite=false" label="Ok" styleClass="p-button-text"></p-button>
                    </ng-template>
                </p-dialog>



                <p-button (click)="showRoomRegular()" label="ห้องพัดลม"></p-button>
                <p-dialog header=" ห้องพัดลม ราคา {{TypeRoomprice[1]}} " [(visible)]="displayRoomRegular" [style]="{width: '50vw'}">
                    <p> {{RoomRegular}}  
                        <br>
                        <br>
                        <br>
                        <br>
                        <br>
                        เหลือว่าง : {{RoomNormalList.length}} </p>
                    <ng-template pTemplate="footer">
                        <p-button (click)="displayRoomRegular=false" label="Ok" styleClass="p-button-text">
                            
                        </p-button>
                    </ng-template>
                </p-dialog>

            </div>
            <br>
            <br>
            
            ค่าไฟหน่วยละ {{electricitybill}}
            <br>
            ค่าน้ำหน่วยละ {{WaterPrice}}


        </body>
        <div class="card">
            
            <p-tabView >
                <p-tabPanel class="tabview" header="ห้องพัดลม" leftIcon="pi pi-calendar" tooltip="ห้องพัดลม">

                    <p-galleria [value]="images" [responsiveOptions]="responsiveOptions" [containerStyle]="{'max-width': '800px'}" [numVisible]="5" [circular]="true"
                    [autoPlay]="true" [transitionInterval]="2000" [showThumbnails]="false" [showIndicators]="true"> 
                    
                       
                        <ng-template pTemplate="item" let-images>
                            
                            <img [src]="images.previewImageSrc" [style]="{width: '720px'}"  />
                            
                        </ng-template>
                        
                        <ng-template pTemplate="thumbnail" let-images>
                            <div class="grid grid-nogutter justify-content-center">
                                <img [src]="images.thumbnailImageSrc" style="display:block ;width: 70px" />
                            </div>
                        </ng-template>
                        
                        <ng-template pTemplate="caption" let-images>
                            <h4 style="margin-bottom: .1rem; color: #ffffff;">{{images.title}}</h4>
                            <p>{{images.alt}}</p>
                        </ng-template>
                        
                    </p-galleria>
                    
                </p-tabPanel>
                
                <p-tabPanel  header="ห้องแอร์" rightIcon="pi pi-star-fill" tooltip="ห้องแอร์">
                    <p-galleria [value]="images" [responsiveOptions]="responsiveOptions" [containerStyle]="{'max-width': '800px'}" [numVisible]="5" [circular]="true"
                    [autoPlay]="true" [transitionInterval]="2000" [showThumbnails]="false" [showIndicators]="true"> 
                    
                       
                        <ng-template pTemplate="item" let-images>
                            
                            <img [src]="images.previewImageSrc" [style]="{width: '720px'}"  />
                            
                        </ng-template>
                        
                        <ng-template pTemplate="thumbnail" let-images>
                            <div class="grid grid-nogutter justify-content-center">
                                <img [src]="images.thumbnailImageSrc" style="display:block ;width: 70px" />
                            </div>
                        </ng-template>
                        
                        <ng-template pTemplate="caption" let-images>
                            <h4 style="margin-bottom: .1rem; color: #ffffff;">{{images.title}}</h4>
                            <p>{{images.alt}}</p>
                        </ng-template>
                        
                    </p-galleria>
                </p-tabPanel>

            </p-tabView>
            
            </div>
            
        



  <!-- <body class="ShowImage">
            <div class="Image">
                <p-image src="{{Pictureurl}}" alt="Image"
                    width="800" [preview]="true"></p-image>
            </div>
        </body> -->









    

</body>


<app-superadmin *ngIf="Islogin" (islogout)="handleLogout()"></app-superadmin>

